<%@ Page Language="C#" 
    MasterPageFile="~/Resources/MasterPages/Application.Master" 
    CodeBehind="Overview.aspx.cs" 
    Inherits="Inedo.BuildMaster.Web.WebApplication.Applications.Configuration.Overview"  %>

<asp:Content ContentPlaceHolderID="MainContent" runat="server">
    <h1><%= HttpUtility.HtmlEncode(Title) %></h1>
    <div class="subH1">
        Configuration Files can contain environment specific details in the application; e.g. connection strings, user privileges, debugging options, etc.
        Each file can have an instance per each environment in the application's Workflow.
    </div>

    <bm:InfoBox runat="server" ID="ctlNoDeployables" Visible="false" BoxType="Error">
        You must <a href="../Deployables/Overview.aspx">create a deployable</a> before configuration files can be edited.
    </bm:InfoBox>
    <bm:UpgradeOverview runat="server" ID="ctlLicensing" WarningText="You have reached the maximum number of configuration files for this application as permitted by the license." />
    <asp:PlaceHolder runat="server" ID="phConfigurationFile">
    <bm:FilterString ID="ctlFilter" runat="server">
        <Snippets>
            <bm:TextSnippet>Show all</bm:TextSnippet>
            <bm:ListSnippet ID="ctlFilter_Active">
                <bm:ListSnippetItem Text="active" Value="N" />
                <bm:ListSnippetItem Text="active and deleted" Value="Y" />
            </bm:ListSnippet>
            <bm:TextSnippet>configuration files.</bm:TextSnippet>
        </Snippets>
    </bm:FilterString>

    <bm:InfoBox runat="server" ID="ctlNoRelease" Visible="false" BoxType="Warning">
        You must <a href="../Releases/CreateRelease.aspx">create a release</a> before configuration files can be edited.
    </bm:InfoBox>
   
    <bm:BuildMasterStyledTable runat="server" ID="tblConfigFiles">
        <asp:TableHeaderRow runat="server">
            <asp:TableHeaderCell>File</asp:TableHeaderCell>
            <asp:TableHeaderCell>Last Modified</asp:TableHeaderCell>
            <asp:TableHeaderCell>Last Deployed</asp:TableHeaderCell>
            <asp:TableHeaderCell>&nbsp;</asp:TableHeaderCell>
        </asp:TableHeaderRow>
    </bm:BuildMasterStyledTable>
    
        <div class="action-button-container">

    <bm:HyperLinkButton runat="server"  ID="btnCreateNewConfigurationFile"
        NavigateUrl="CreateNewConfigurationFile.aspx"
        Text = "Create New Configuration File"
        HyperLinkType="ModalHyperlink" />
            </div>

    </asp:PlaceHolder>
    
</asp:Content>
